//
//  PersonTableController.m
//  Person Database
//
//  Created by Holger Hinzberg on 02.04.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import "PersonTableController.h"

@implementation PersonTableController

@synthesize personTable;

- (id)init
{
    self = [super init];
    if (self) 
    {
        personArray = [[NSMutableArray alloc] init];
    }
    
    return self;
}

- (void)addPerson:(Person *)aPerson
{
    // Opbjekt dem Array hinzufügen
    [personArray addObject:aPerson];
    // Tabellen-Steuerelement aktualisieren
    [personTable reloadData];
}

- (NSInteger)numberOfRowsInTableView:(NSTableView *)aTableView
{
    return [personArray count];
}

- (id)tableView:(NSTableView *)aTableView objectValueForTableColumn:
    (NSTableColumn *)aTableColumn row:
    (NSInteger)rowIndex
{
    // Das Objekt für die Zeile rowIndex
    Person *aPerson = [personArray objectAtIndex:rowIndex];
    
    // Die Eigenschaft für die Spalte, ermittelt mit dem Identifier
    id value = [aPerson valueForKey:[aTableColumn identifier]];
    
    return value;
}


- (void)dealloc
{
    [personArray release];
    [super dealloc];
}

@end
